Loading...
Searching...
No Matches
OpenMesh::SmartTaggerVT< Mesh > Class Template Reference
Inheritance diagram for OpenMesh::SmartTaggerVT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::SmartTaggerVT< Mesh >:
[legend]

## Public Types

typedef SmartTaggerT< Mesh, typename Mesh::VertexHandle, OpenMesh::VPropHandleT< unsigned int > > | BaseType

## Public Member Functions

| SmartTaggerVT (Mesh &_mesh, unsigned int _tag_range=1)
Public Member Functions inherited from OpenMesh::SmartTaggerT< Mesh, Mesh::VertexHandle, OpenMesh::VPropHandleT< unsigned int > >
| SmartTaggerT (Mesh &_mesh, unsigned int _tag_range=1)
| Constructor.
| ~SmartTaggerT ()
| Destructor.
void | untag_all ()
| untag all elements
void | untag_all (const unsigned int _new_tag_range)
| untag all elements and set new tag_range
void | set_tag (const Mesh::VertexHandle _eh, unsigned int _tag=1)
| set tag to a value in [0..tag_range]
unsigned int | get_tag (const Mesh::VertexHandle _eh) const
| get tag value in range [0..tag_range]
bool | is_tagged (const Mesh::VertexHandle _eh) const
| overloaded member for boolean tags
void | set_tag_range (const unsigned int _tag_range)
| set new tag range and untag_all

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::SmartTaggerT< Mesh, Mesh::VertexHandle, OpenMesh::VPropHandleT< unsigned int > >
void | all_tags_to_zero ()
Protected Attributes inherited from OpenMesh::SmartTaggerT< Mesh, Mesh::VertexHandle, OpenMesh::VPropHandleT< unsigned int > >
Mesh & | mesh_
OpenMesh::VPropHandleT< unsigned int > | ep_tag_
unsigned int | current_base_
unsigned int | tag_range_

The documentation for this class was generated from the following file:

- OpenMesh/Tools/SmartTagger/SmartTaggerT.hh